# PspIoDrvFileArg Struct Reference
[Driver interface to IoFileMgr]

`#include <sdk/kernel/pspiofilemgr_kernel.h>`

Collaboration diagram for PspIoDrvFileArg:

[legend]

## Detailed Description

Structure passed to the file functions of the io driver system.

## Data Fields

u32 | unk1
| Unknown.
u32 | fs_num
| The file system number, e.g.
PspIoDrvArg * | drv
| Pointer to the driver structure.
u32 | unk2
| Unknown, again.
void * | arg
| Pointer to a user defined argument, this is preserved on a per file basis.

## Field Documentation

void* PspIoDrvFileArg::arg

| Pointer to a user defined argument, this is preserved on a per file basis.

PspIoDrvArg* PspIoDrvFileArg::drv

| Pointer to the driver structure.

u32 PspIoDrvFileArg::fs_num

| The file system number, e.g. if a file is opened as host5:/myfile.txt this field will be 5

u32 PspIoDrvFileArg::unk1

| Unknown.

u32 PspIoDrvFileArg::unk2

| Unknown, again.

The documentation for this struct was generated from the following file:

- sdk/kernel/pspiofilemgr_kernel.h